summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ChangeLog1
-rwxr-xr-xdisplay/splashy/DEPENDS4
-rwxr-xr-xdisplay/splashy/DETAILS28
-rw-r--r--display/splashy/HISTORY3
-rwxr-xr-xdisplay/splashy/PRE_BUILD3
-rwxr-xr-xdisplay/splashy/TRIGGERS1
-rw-r--r--display/splashy/WIP1
-rwxr-xr-xdisplay/splashy/init.d/splashy10
-rwxr-xr-xdisplay/splashy/init.d/splashy146
-rwxr-xr-xdisplay/splashy/init.d/splashy243
-rwxr-xr-xdisplay/splashy/init.d/splashy340
-rwxr-xr-xdisplay/splashy/init.d/splashy437
-rwxr-xr-xdisplay/splashy/init.d/splashy534
-rw-r--r--display/splashy/splashy.patch11
14 files changed, 262 insertions, 0 deletions
diff --git a/ChangeLog b/ChangeLog
index e21c6afa03..d0101f76be 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,6 @@
2007-12-24 Arjan Bouter <abouter@sourcemage.org>
* kernels/linux-fusion: new spell, IPC API for DirectFB
+ * display/splashy: new spell, userspace bootsplash app
2007-12-23 Julien "_kaze_" ROZO <julien@rozo.org>
* collab/qsvn: new spell, a graphical Subversion client based on qt4
diff --git a/display/splashy/DEPENDS b/display/splashy/DEPENDS
new file mode 100755
index 0000000000..ee8f4a2b29
--- /dev/null
+++ b/display/splashy/DEPENDS
@@ -0,0 +1,4 @@
+depends directfb &&
+depends glib2 &&
+optional_depends libpng '' '' 'For PNG image support' &&
+optional_depends jpeg '' '' 'For JPEG image support'
diff --git a/display/splashy/DETAILS b/display/splashy/DETAILS
new file mode 100755
index 0000000000..1142c37483
--- /dev/null
+++ b/display/splashy/DETAILS
@@ -0,0 +1,28 @@
+ SPELL=splashy
+ VERSION=0.3.7
+ SOURCE=$SPELL-$VERSION.tar.gz
+ SOURCE_HASH=sha512:5d87f24de06c5fcafe359bf2462ba84c9bea2d7b30a360761e0b746d2020157f0454b705eadafeab10b8263fc0b2f9c0cad9146081f10b697c2cd6a739e5f734
+ SOURCE_URL[0]=http://alioth.debian.org/frs/download.php/2218/${SOURCE}
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/${SPELL}-${VERSION}
+ WEB_SITE=http://splashy.alioth.debian.org/wiki/
+ ENTERED=20071210
+ LICENSE[0]=GPL
+ SHORT="Graphical boot"
+cat << EOF
+Splashy is a next generation boot splashing system for Unix-like systems.
+Unlike other splashing systems, it needs no patches to the kernel.
+
+INSTRUCTIONS:
+1. Install Splashy as you normally would (see INSTALL)
+
+2. Add "splash vga=791 quiet" to the append= line on your bootloader configuration
+ NOTE: For Grub, this is /boot/grub/menu.lst
+ For lilo you need "vga=791" in its own line before the kernel stanzas, and add
+ only "quiet splash" to append=
+ Other bootloaders will use the same options, but they need to be passed
+ differently. Check your bootloader's manual
+
+3. Make sure that /etc/init.d/runlevels/%S/splashy is installed.
+
+4. Reboot and have fun!
+EOF
diff --git a/display/splashy/HISTORY b/display/splashy/HISTORY
new file mode 100644
index 0000000000..34f3358d65
--- /dev/null
+++ b/display/splashy/HISTORY
@@ -0,0 +1,3 @@
+2007-12-10 Arjan Bouter <abouter@sourcemage.org>
+ * DETAILS, DEPENDS, PRE_BUILD,
+ init.d/splashy, HISTORY: created spell
diff --git a/display/splashy/PRE_BUILD b/display/splashy/PRE_BUILD
new file mode 100755
index 0000000000..9f192f1477
--- /dev/null
+++ b/display/splashy/PRE_BUILD
@@ -0,0 +1,3 @@
+default_pre_build &&
+cd $SOURCE_DIRECTORY &&
+patch -p1 < ${SCRIPT_DIRECTORY}/splashy.patch
diff --git a/display/splashy/TRIGGERS b/display/splashy/TRIGGERS
new file mode 100755
index 0000000000..9e4f164ac6
--- /dev/null
+++ b/display/splashy/TRIGGERS
@@ -0,0 +1 @@
+on_cast directfb cast_self
diff --git a/display/splashy/WIP b/display/splashy/WIP
new file mode 100644
index 0000000000..ebd4dcbc77
--- /dev/null
+++ b/display/splashy/WIP
@@ -0,0 +1 @@
+This spell builds, but the init scripts need more work.
diff --git a/display/splashy/init.d/splashy b/display/splashy/init.d/splashy
new file mode 100755
index 0000000000..23a5fbe1c7
--- /dev/null
+++ b/display/splashy/init.d/splashy
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+#grep -q -e '[[:space:]]splash\([[:space:]]\|$\)' /proc/cmdline || exit 1
+
+PROGRAM=/usr/sbin/splashy
+ARGS=boot
+RUNLEVEL=S
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
diff --git a/display/splashy/init.d/splashy1 b/display/splashy/init.d/splashy1
new file mode 100755
index 0000000000..dce8159b09
--- /dev/null
+++ b/display/splashy/init.d/splashy1
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=1
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 1)
+ SPLASHY_PROGRESS=100
+ ;;
+ 2)
+ SPLASHY_PROGRESS=50
+ ;;
+ 3)
+ SPLASHY_PROGRESS=33
+ ;;
+ 4)
+ SPLASHY_PROGRESS=25
+ ;;
+ 5)
+ SPLASHY_PROGRESS=20
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}
diff --git a/display/splashy/init.d/splashy2 b/display/splashy/init.d/splashy2
new file mode 100755
index 0000000000..1e4aa3070a
--- /dev/null
+++ b/display/splashy/init.d/splashy2
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=2
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 2)
+ SPLASHY_PROGRESS=100
+ ;;
+ 3)
+ SPLASHY_PROGRESS=66
+ ;;
+ 4)
+ SPLASHY_PROGRESS=50
+ ;;
+ 5)
+ SPLASHY_PROGRESS=40
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}
diff --git a/display/splashy/init.d/splashy3 b/display/splashy/init.d/splashy3
new file mode 100755
index 0000000000..ee5c6da951
--- /dev/null
+++ b/display/splashy/init.d/splashy3
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=3
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 3)
+ SPLASHY_PROGRESS=100
+ ;;
+ 4)
+ SPLASHY_PROGRESS=75
+ ;;
+ 5)
+ SPLASHY_PROGRESS=60
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}
diff --git a/display/splashy/init.d/splashy4 b/display/splashy/init.d/splashy4
new file mode 100755
index 0000000000..1ae6dc1efa
--- /dev/null
+++ b/display/splashy/init.d/splashy4
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=4
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 4)
+ SPLASHY_PROGRESS=100
+ ;;
+ 5)
+ SPLASHY_PROGRESS=80
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}
diff --git a/display/splashy/init.d/splashy5 b/display/splashy/init.d/splashy5
new file mode 100755
index 0000000000..ba446ca66f
--- /dev/null
+++ b/display/splashy/init.d/splashy5
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=5
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 5)
+ SPLASHY_PROGRESS=100
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}
diff --git a/display/splashy/splashy.patch b/display/splashy/splashy.patch
new file mode 100644
index 0000000000..a2cd1ac2ba
--- /dev/null
+++ b/display/splashy/splashy.patch
@@ -0,0 +1,11 @@
+diff -Naur splashy-0.3.7/scripts/Makefile.in splashy-fixed/scripts/Makefile.in
+--- splashy-0.3.7/scripts/Makefile.in 2007-12-08 23:50:17.000000000 +0100
++++ splashy-fixed/scripts/Makefile.in 2007-12-10 02:00:56.000000000 +0100
+@@ -195,7 +195,6 @@
+ # This will canonically be installed in /etc
+ nobase_sysconf_DATA = \
+ console-tools/config.d/splashy \
+- init.d/splashy \
+ default/splashy
+
+